## poppler 0.4.5-5.1etch2maemo3%2b0m5

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/class/autotools.mk

# a trick to fix xpdfrc location without modifying autotools stuff
DEB_CONFIGURE_SYSCONFDIR = /etc/xpdf

# disable gtk stuff to minimize Build-Depends
DEB_CONFIGURE_EXTRA_FLAGS =			\
	--enable-libjpeg			\
	--enable-splash-output			\
	--disable-cairo-output			\
	--enable-poppler-glib			\
	--disable-poppler-qt			\
	--disable-poppler-qt4			\
	--enable-a4-paper			\
	--disable-gtk-test

SHLIB_VERSION=0.4.2
DEB_DH_MAKESHLIBS_ARGS_libpoppler0c2 := -V"libpoppler0c2 (>= $(SHLIB_VERSION))"
DEB_DH_MAKESHLIBS_ARGS_libpoppler0c2-glib := -V"libpoppler0c2-glib (>= $(SHLIB_VERSION))"
DEB_DH_MAKESHLIBS_ARGS_libpoppler0c2-qt := -V"libpoppler0c2-qt (>= $(SHLIB_VERSION))"
