## poppler 0.4.5-5.1etch3maemo1+0m5

=== debian/changelog ===
poppler (0.4.5-5.1etch3maemo1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Tue, 09 Feb 2010 13:36:53 +0200

poppler (0.4.5-5.1etch3maemo1) unstable; urgency=low

  * Applied security patch CVE-2008-1693
  * Disabled warning about deprecated string conversion
  * Fixes: NB#146295

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Tue, 09 Feb 2010 12:15:21 +0200
