=== debian/control ===
Source: poppler
Section: devel
Priority: optional
Maintainer: maemo integration <integration@maemo.org>
Build-Depends: cdbs, debhelper, gnome-pkg-tools, libgtk2.0-dev, libjpeg62-dev
Standards-Version: 3.7.2

Package: libpoppler0c2
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libpoppler0
Replaces: libpoppler0
Description: PDF rendering library
 Poppler is a PDF rendering library based on xpdf PDF viewer.
 .
 This package contains the shared library.

Package: libpoppler0c2-dbg
Architecture: any
Section: libdevel
Depends: libpoppler0c2 (= ${Source-Version})
Description: PDF rendering library
 Poppler is a PDF rendering library based on xpdf PDF viewer.
 .
 This package contains the debugging symbols for libpoppler0c2.

Package: libpoppler-dev
Architecture: any
Section: libdevel
Depends: libpoppler0c2 (= ${Source-Version}), libcairo2-dev
Description: PDF rendering library -- development files
 Poppler is a PDF rendering library based on xpdf PDF viewer.
 .
 This package contains the headers and development libraries needed to
 build applications using Poppler.

Package: libpoppler0c2-glib
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, libpoppler0c2 (= ${Source-Version}), ${misc:Depends}
Conflicts: libpoppler0-glib
Replaces: libpoppler0-glib
Description: PDF rendering library (GLib-based shared library)
 Poppler is a PDF rendering library based on xpdf PDF viewer.
 .
 This package provides the GLib-based shared library for applications
 using the GLib interface to Poppler.

Package: libpoppler0c2-glib-dbg
Architecture: any
Section: libdevel
Depends: libpoppler0c2-glib (= ${Source-Version})
Description: PDF rendering library (GLib-based shared library)
 Poppler is a PDF rendering library based on xpdf PDF viewer.
 .
 This package provides the debugging symbols for the GLib-based shared
 library for applications using the GLib interface to Poppler.

Package: libpoppler-glib-dev
Architecture: any
Section: libdevel
Depends: libpoppler0c2-glib (= ${Source-Version}), libpoppler-dev (= ${Source-Version}), libglib2.0-dev
Description: PDF rendering library -- development files (GLib interface)
 Poppler is a PDF rendering library based on xpdf PDF viewer.
 .
 This package provides a GLib-style interface to Poppler.

Package: poppler-utils
Architecture: any
Section: utils
Depends: ${shlibs:Depends}
Conflicts: xpdf-utils, pdftohtml
Replaces: xpdf-utils, pdftohtml
Provides: xpdf-utils, pdftohtml
Description: PDF utilitites (based on libpoppler)
 This package contains pdftops (PDF to PostScript converter),
 pdfinfo (PDF document information extractor), pdfimages
 (PDF image extractor), pdftotext (PDF to text converter), and
 pdffonts (PDF font analyzer).
