=== debian/rules ===
--- 
+++ 
@@ -20,6 +20,9 @@
 	--enable-a4-paper			\
 	--disable-gtk-test
 
+# do not warn about deprecated const string to char* conversion
+CXXFLAGS += -Wno-write-strings
+
 SHLIB_VERSION=0.4.2
 DEB_DH_MAKESHLIBS_ARGS_libpoppler0c2 := -V"libpoppler0c2 (>= $(SHLIB_VERSION))"
 DEB_DH_MAKESHLIBS_ARGS_libpoppler0c2-glib := -V"libpoppler0c2-glib (>= $(SHLIB_VERSION))"
