=== debian/watch ===
version=2
http://poppler.freedesktop.org/ poppler-(.*)\.tar\.gz debian uupdate
