## poppler 0.4.5-5.1etch3maemo2%2b0m5

=== debian/changelog ===
poppler (0.4.5-5.1etch3maemo2+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 0.4.5-5.1etch3maemo2+0m5

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Wed, 09 Jun 2010 12:17:33 +0300

poppler (0.4.5-5.1etch3maemo2) unstable; urgency=low

  * Fixes: NB#161058 - Recompile poppler without GObject cast checks

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Wed, 09 Jun 2010 11:49:53 +0300
