=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,10 @@
 # do not warn about deprecated const string to char* conversion
 CXXFLAGS += -Wno-write-strings
 
+# for performance
+CXXFLAGS += -DG_DISABLE_CAST_CHECKS
+CFLAGS += -DG_DISABLE_CAST_CHECKS
+
 SHLIB_VERSION=0.4.2
 DEB_DH_MAKESHLIBS_ARGS_libpoppler0c2 := -V"libpoppler0c2 (>= $(SHLIB_VERSION))"
 DEB_DH_MAKESHLIBS_ARGS_libpoppler0c2-glib := -V"libpoppler0c2-glib (>= $(SHLIB_VERSION))"
