## poppler 0.10.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 include(MacroEnsureVersion)
 include(MacroBoolTo01)
 
-set(POPPLER_VERSION "0.8.7")
+set(POPPLER_VERSION "0.10.5")
 
 # command line switches
 option(ENABLE_XPDF_HEADERS "Install unsupported xpdf headers." OFF)
@@ -21,6 +21,7 @@
 option(ENABLE_SPLASH "Build the Splash graphics backend." ON)
 option(ENABLE_UTILS "Compile poppler command line utils." ON)
 option(ENABLE_ABIWORD "Build the Abiword backend." ON)
+option(ENABLE_LIBOPENJPEG "Use libopenjpeg for JPX streams." ON)
 option(ENABLE_ZLIB "TODO" OFF)
 option(USE_EXCEPTIONS "Throw exceptions to deal with not enough memory and similar problems." OFF)
 option(USE_FIXEDPOINT "Use fixed point arithmetic" OFF)
@@ -64,6 +65,10 @@
   find_package(LibXml2)
   set(ENABLE_ABIWORD ${LIBXML2_FOUND})
 endif(ENABLE_ABIWORD)
+if(ENABLE_LIBOPENJPEG)
+  find_package(LIBOPENJPEG)
+  set(ENABLE_LIBOPENJPEG ${LIBOPENJPEG_FOUND})
+endif(ENABLE_LIBOPENJPEG)
 
 add_definitions(-DHAVE_CONFIG_H=1 ${FONTCONFIG_DEFINITIONS})
 include_directories(
@@ -88,6 +93,9 @@
   include_directories(${LIBXML2_INCLUDE_DIR})
   add_definitions(${LIBXML2_DEFINITIONS})
 endif(ENABLE_ABIWORD)
+if(LIBOPENJPEG_FOUND)
+  include_directories(${LIBOPENJPEG_INCLUDE_DIR})
+endif(LIBOPENJPEG_FOUND)
 
 if(DEFINED COMPILE_WARNINGS)
 else(DEFINED COMPILE_WARNINGS)
@@ -131,9 +139,11 @@
   poppler/Catalog.cc
   poppler/CharCodeToUnicode.cc
   poppler/CMap.cc
+  poppler/DateInfo.cc
   poppler/Decrypt.cc
   poppler/Dict.cc
   poppler/Error.cc
+  poppler/FileSpec.cc
   poppler/FontEncodingTables.cc
   poppler/Form.cc
   poppler/FontInfo.cc
@@ -144,7 +154,6 @@
   poppler/GlobalParams.cc
   poppler/JArithmeticDecoder.cc
   poppler/JBIG2Stream.cc
-  poppler/JPXStream.cc
   poppler/Lexer.cc
   poppler/Link.cc
   poppler/NameToCharCode.cc
@@ -209,6 +218,16 @@
   )
   set(poppler_LIBS ${poppler_LIBS} ${ZLIB_LIBRARIES})
 endif(ENABLE_ZLIB)
+if(LIBOPENJPEG_FOUND)
+  set(poppler_SRCS ${poppler_SRCS}
+    poppler/JPEG2000Stream.cc
+  )
+  set(poppler_LIBS ${poppler_LIBS} ${LIBOPENJPEG_LIBRARIES})
+else (LIBOPENJPEG_FOUND)
+  set(poppler_SRCS ${poppler_SRCS}
+    poppler/JPXStream.cc
+  )
+endif(LIBOPENJPEG_FOUND)
 if(ENABLE_ABIWORD)
   set(poppler_SRCS ${poppler_SRCS}
     poppler/ABWOutputDev.cc
@@ -226,33 +245,24 @@
 else(MSVC)
 add_library(poppler SHARED ${poppler_SRCS})
 endif(MSVC)
-set_target_properties(poppler PROPERTIES VERSION 3.0.0 SOVERSION 3)
+set_target_properties(poppler PROPERTIES VERSION 4.0.0 SOVERSION 4)
 target_link_libraries(poppler ${poppler_LIBS})
 install(TARGETS poppler RUNTIME DESTINATION bin LIBRARY DESTINATION lib ARCHIVE DESTINATION lib)
 
 if(ENABLE_XPDF_HEADERS)
   install(FILES
-    goo/GooHash.h
-    goo/GooList.h
-    goo/GooTimer.h
-    goo/GooMutex.h
-    goo/GooString.h
-    goo/GooVector.h
-    goo/gtypes.h
-    goo/gmem.h
-    goo/gfile.h
-    goo/FixedPoint.h
     poppler/Annot.h
     poppler/Array.h
-    poppler/BaseFile.h
     poppler/BuiltinFont.h
     poppler/BuiltinFontTables.h
     poppler/Catalog.h
     poppler/CharCodeToUnicode.h
     poppler/CMap.h
+    poppler/DateInfo.h
     poppler/Decrypt.h
     poppler/Dict.h
     poppler/Error.h
+    poppler/FileSpec.h
     poppler/FontEncodingTables.h
     poppler/FontInfo.h
     poppler/Form.h
@@ -264,11 +274,12 @@
     poppler/GlobalParams.h
     poppler/JArithmeticDecoder.h
     poppler/JBIG2Stream.h
-    poppler/JPXStream.h
     poppler/Lexer.h
     poppler/Link.h
+    poppler/Movie.h
     poppler/NameToCharCode.h
     poppler/Object.h
+    poppler/OptionalContent.h
     poppler/Outline.h
     poppler/OutputDev.h
     poppler/Page.h
@@ -298,9 +309,29 @@
     poppler/UTF8.h
     poppler/XpdfPluginAPI.h
     poppler/Sound.h
-    poppler/Movie.h
     ${CMAKE_CURRENT_BINARY_DIR}/poppler/poppler-config.h
     DESTINATION include/poppler)
+  install(FILES
+    goo/GooHash.h
+    goo/GooList.h
+    goo/GooTimer.h
+    goo/GooMutex.h
+    goo/GooString.h
+    goo/GooVector.h
+    goo/gtypes.h
+    goo/gmem.h
+    goo/gfile.h
+    goo/FixedPoint.h
+    DESTINATION include/poppler/goo)
+  if(LIBOPENJPEG_FOUND)
+    install(FILES
+      poppler/JPEG2000Stream.h
+      DESTINATION include/poppler)
+  else(LIBOPENJPEG_FOUND)
+    install(FILES
+      poppler/JPXStream.h
+      DESTINATION include/poppler)
+  endif(LIBOPENJPEG_FOUND)
   if(ENABLE_SPLASH)
     install(FILES
       poppler/SplashOutputDev.h
@@ -389,4 +420,5 @@
 # message("  use gtk-doc:        $enable_gtk_doc") # TODO
 show_end_message("use libjpeg" ENABLE_LIBJPEG)
 show_end_message("use zlib" ENABLE_ZLIB)
+show_end_message("use libopenjpeg" LIBOPENJPEG_FOUND)
 show_end_message("command line utils" ENABLE_UTILS)
