## poppler 0.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(poppler)
 
-cmake_minimum_required(VERSION 2.4.0 FATAL_ERROR)
+cmake_minimum_required(VERSION 2.6.0 FATAL_ERROR)
 
 set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules)
 
@@ -11,7 +11,10 @@
 include(MacroEnsureVersion)
 include(MacroBoolTo01)
 
-set(POPPLER_VERSION "0.10.5")
+set(POPPLER_MAJOR_VERSION "0")
+set(POPPLER_MINOR_VERSION "12")
+set(POPPLER_MICRO_VERSION "0")
+set(POPPLER_VERSION "${POPPLER_MAJOR_VERSION}.${POPPLER_MINOR_VERSION}.${POPPLER_MICRO_VERSION}")
 
 # command line switches
 option(ENABLE_XPDF_HEADERS "Install unsupported xpdf headers." OFF)
@@ -22,6 +25,7 @@
 option(ENABLE_UTILS "Compile poppler command line utils." ON)
 option(ENABLE_ABIWORD "Build the Abiword backend." ON)
 option(ENABLE_LIBOPENJPEG "Use libopenjpeg for JPX streams." ON)
+option(ENABLE_LCMS "Use liblcms for color management." ON)
 option(ENABLE_ZLIB "TODO" OFF)
 option(USE_EXCEPTIONS "Throw exceptions to deal with not enough memory and similar problems." OFF)
 option(USE_FIXEDPOINT "Use fixed point arithmetic" OFF)
@@ -33,13 +37,14 @@
 
 # setting the minimum required versions for some components
 set(QT3_MIN_VERSION "3.3.0")
-set(QT4_MIN_VERSION "4.1.0")
-set(CAIRO_VERSION "1.4")
+set(QT4_MIN_VERSION "4.3.0")
+set(CAIRO_VERSION "1.8.4")
 
 macro_bool_to_01(ENABLE_SPLASH HAVE_SPLASH)
 find_package(Freetype REQUIRED)
 find_package(Fontconfig REQUIRED)
 macro_optional_find_package(JPEG)
+macro_optional_find_package(PNG)
 if(JPEG_FOUND)
   set(ENABLE_LIBJPEG ${JPEG_FOUND})
 endif(JPEG_FOUND)
@@ -69,6 +74,10 @@
   find_package(LIBOPENJPEG)
   set(ENABLE_LIBOPENJPEG ${LIBOPENJPEG_FOUND})
 endif(ENABLE_LIBOPENJPEG)
+if(ENABLE_LCMS)
+  find_package(LCMS)
+  set(USE_CMS ${LCMS_FOUND})
+endif(ENABLE_LCMS)
 
 add_definitions(-DHAVE_CONFIG_H=1 ${FONTCONFIG_DEFINITIONS})
 include_directories(
@@ -78,7 +87,7 @@
   ${CMAKE_CURRENT_SOURCE_DIR}/poppler
   ${CMAKE_CURRENT_BINARY_DIR}
   ${CMAKE_CURRENT_BINARY_DIR}/poppler
-  ${FREETYPE_INCLUDE_DIR}
+  ${FREETYPE_INCLUDE_DIRS}
 )
 set(HAVE_FREETYPE_H ON)
 
@@ -89,6 +98,10 @@
   include_directories(${JPEG_INCLUDE_DIR})
   set(ENABLE_LIBJPEG ON)
 endif(JPEG_FOUND)
+if(PNG_FOUND)
+  include_directories(${PNG_INCLUDE_DIR})
+  set(ENABLE_LIBPNG ON)
+endif(PNG_FOUND)
 if(ENABLE_ABIWORD)
   include_directories(${LIBXML2_INCLUDE_DIR})
   add_definitions(${LIBXML2_DEFINITIONS})
@@ -96,6 +109,9 @@
 if(LIBOPENJPEG_FOUND)
   include_directories(${LIBOPENJPEG_INCLUDE_DIR})
 endif(LIBOPENJPEG_FOUND)
+if(LCMS_FOUND)
+  include_directories(${LCMS_INCLUDE_DIR})
+endif(LCMS_FOUND)
 
 if(DEFINED COMPILE_WARNINGS)
 else(DEFINED COMPILE_WARNINGS)
@@ -127,6 +143,8 @@
   goo/GooString.cc
   goo/gmem.cc
   goo/FixedPoint.cc
+  goo/PNGWriter.cc
+  goo/gstrtod.cc
   fofi/FoFiBase.cc
   fofi/FoFiEncodings.cc
   fofi/FoFiTrueType.cc
@@ -166,6 +184,7 @@
   poppler/Parser.cc
   poppler/PDFDoc.cc
   poppler/PDFDocEncoding.cc
+  poppler/PopplerCache.cc
   poppler/ProfileData.cc
   poppler/PreScanOutputDev.cc
   poppler/PSTokenizer.cc
@@ -228,6 +247,9 @@
     poppler/JPXStream.cc
   )
 endif(LIBOPENJPEG_FOUND)
+if(USE_CMS)
+  set(poppler_LIBS ${poppler_LIBS} ${LCMS_LIBRARIES})
+endif(USE_CMS)
 if(ENABLE_ABIWORD)
   set(poppler_SRCS ${poppler_SRCS}
     poppler/ABWOutputDev.cc
@@ -245,8 +267,12 @@
 else(MSVC)
 add_library(poppler SHARED ${poppler_SRCS})
 endif(MSVC)
-set_target_properties(poppler PROPERTIES VERSION 4.0.0 SOVERSION 4)
+set_target_properties(poppler PROPERTIES VERSION 5.0.0 SOVERSION 5)
+if (ENABLE_LIBPNG)
+target_link_libraries(poppler ${poppler_LIBS} ${PNG_LIBRARIES})
+else (ENABLE_LIBPNG)
 target_link_libraries(poppler ${poppler_LIBS})
+endif (ENABLE_LIBPNG)
 install(TARGETS poppler RUNTIME DESTINATION bin LIBRARY DESTINATION lib ARCHIVE DESTINATION lib)
 
 if(ENABLE_XPDF_HEADERS)
@@ -271,6 +297,7 @@
     poppler/Gfx.h
     poppler/GfxFont.h
     poppler/GfxState.h
+    poppler/GfxState_helpers.h
     poppler/GlobalParams.h
     poppler/JArithmeticDecoder.h
     poppler/JBIG2Stream.h
@@ -287,6 +314,7 @@
     poppler/Parser.h
     poppler/PDFDoc.h
     poppler/PDFDocEncoding.h
+    poppler/PopplerCache.h
     poppler/ProfileData.h
     poppler/PreScanOutputDev.h
     poppler/PSTokenizer.h
@@ -322,7 +350,15 @@
     goo/gmem.h
     goo/gfile.h
     goo/FixedPoint.h
+    goo/gstrtod.h
     DESTINATION include/poppler/goo)
+  install(FILES
+    fofi/FoFiBase.h
+    fofi/FoFiEncodings.h
+    fofi/FoFiTrueType.h
+    fofi/FoFiType1.h
+    fofi/FoFiType1C.h
+    DESTINATION include/poppler/fofi)
   if(LIBOPENJPEG_FOUND)
     install(FILES
       poppler/JPEG2000Stream.h
@@ -397,28 +433,3 @@
   poppler_create_install_pkgconfig(poppler-splash.pc lib/pkgconfig)
 endif(ENABLE_SPLASH)
 if(QT3_FOUND)
-  poppler_create_install_pkgconfig(poppler-qt.pc lib/pkgconfig)
-endif(QT3_FOUND)
-if(QT4_FOUND)
-  poppler_create_install_pkgconfig(poppler-qt4.pc lib/pkgconfig)
-endif(QT4_FOUND)
-if(GLIB_FOUND)
-  poppler_create_install_pkgconfig(poppler-glib.pc lib/pkgconfig)
-endif(GLIB_FOUND)
-if(CAIRO_FOUND)
-  poppler_create_install_pkgconfig(poppler-cairo.pc lib/pkgconfig)
-endif(CAIRO_FOUND)
-
-
-message("Building Poppler with support for:")
-show_end_message("splash output" ENABLE_SPLASH)
-show_end_message("cairo output" CAIRO_FOUND)
-show_end_message("abiword output" ENABLE_ABIWORD)
-show_end_message("qt wrapper" QT3_FOUND)
-show_end_message("qt4 wrapper" QT4_FOUND)
-show_end_message("glib wrapper" GLIB_FOUND)
-# message("  use gtk-doc:        $enable_gtk_doc") # TODO
-show_end_message("use libjpeg" ENABLE_LIBJPEG)
-show_end_message("use zlib" ENABLE_ZLIB)
-show_end_message("use libopenjpeg" LIBOPENJPEG_FOUND)
-show_end_message("command line utils" ENABLE_UTILS)
