## poppler 0.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 set(POPPLER_MAJOR_VERSION "0")
 set(POPPLER_MINOR_VERSION "12")
-set(POPPLER_MICRO_VERSION "0")
+set(POPPLER_MICRO_VERSION "2")
 set(POPPLER_VERSION "${POPPLER_MAJOR_VERSION}.${POPPLER_MINOR_VERSION}.${POPPLER_MICRO_VERSION}")
 
 # command line switches
@@ -29,6 +29,8 @@
 option(ENABLE_ZLIB "TODO" OFF)
 option(USE_EXCEPTIONS "Throw exceptions to deal with not enough memory and similar problems." OFF)
 option(USE_FIXEDPOINT "Use fixed point arithmetic" OFF)
+
+set(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)")
 
 # Enable these unconditionally.
 set(MULTITHREAD ON)
@@ -262,6 +264,7 @@
 endif(WIN32)
 
 if(MSVC)
+add_definitions(-D_CRT_SECURE_NO_WARNINGS)
 set(poppler_SRCS ${poppler_SRCS} poppler/GlobalParamsWin.cc)
 add_library(poppler STATIC ${poppler_SRCS})
 else(MSVC)
@@ -273,7 +276,7 @@
 else (ENABLE_LIBPNG)
 target_link_libraries(poppler ${poppler_LIBS})
 endif (ENABLE_LIBPNG)
-install(TARGETS poppler RUNTIME DESTINATION bin LIBRARY DESTINATION lib ARCHIVE DESTINATION lib)
+install(TARGETS poppler RUNTIME DESTINATION bin LIBRARY DESTINATION lib${LIB_SUFFIX} ARCHIVE DESTINATION lib${LIB_SUFFIX})
 
 if(ENABLE_XPDF_HEADERS)
   install(FILES
@@ -428,8 +431,3 @@
   set(PC_REQUIRES_PRIVATE "")
 endif(PKG_CONFIG_VERSION_0_18)
 
-poppler_create_install_pkgconfig(poppler.pc lib/pkgconfig)
-if(ENABLE_SPLASH)
-  poppler_create_install_pkgconfig(poppler-splash.pc lib/pkgconfig)
-endif(ENABLE_SPLASH)
-if(QT3_FOUND)
